package cn.com.ctop.kuaishou.modules.batch.mapper;

import java.util.List;
import java.util.Map;

import cn.com.ctop.kuaishou.modules.batch.controller.KuaiShouActivityItemList;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 快分销-招商商品列表
 *
 * @author jeecg-boot
 * 2023-01-10
 * @version V1.0
 */
public interface KuaiShouActivityItemListMapper extends BaseMapper<KuaiShouActivityItemList> {

    void replace(@Param(value = "adds") List<KuaiShouActivityItemList> activityInfoList);

    List<JSONObject> itemList();

    List<JSONObject> getMgsItemList();

    List<JSONObject> getRocketItemList();

    void updateItemStatusByItem(@Param("itemId") Long itemId, @Param("itemStatus") Integer itemStatus);

    List<JSONObject> getYufuItemList();

    List<JSONObject> getYuXiuItemList();
}
